=== debian/changelog ===
seqan (1.4.1+dfsg-2) unstable; urgency=medium

  * Do proper manipulation of build options (thanks for the hint to
    Etienne Millon <me@emillon.org>)
    Closes: #759978, #752558

 -- Andreas Tille <tille@debian.org>  Mon, 01 Sep 2014 22:54:54 +0200

seqan (1.4.1+dfsg-1) unstable; urgency=medium

  * Fix FTBFS on many buildds due to RAM exhaustion (thanks to
    Dejan Latinovic <Dejan.Latinovic@imgtec.com> for the patch)
    Closes: #741288
  * debian/copyright (watch+rules): Remove compressed and unused
    JS files from upstream source

 -- Andreas Tille <tille@debian.org>  Thu, 31 Jul 2014 21:18:43 +0200

seqan (1.4.1-3) unstable; urgency=medium

  * debian/rules:
     - Run test suite only on powerfull architectures (amd64)
       at build time
  * deacticate test for apps splazers which fails since some point
    in time after uploading 1.4.1-2
    Closes: #733250

 -- Andreas Tille <tille@debian.org>  Tue, 28 Jan 2014 09:09:09 +0100

seqan (1.4.1-2) unstable; urgency=low

  * debian/seqan-apps.links: s/mason/seqan_mason
    Closes: #730751

 -- Andreas Tille <tille@debian.org>  Fri, 29 Nov 2013 11:39:01 +0100

seqan (1.4.1-1) unstable; urgency=low

  * New upstream version (patch became unneeded)
    Closes: #720995
  * debian/upstream:
     - Moved DOI+PMID to References
     - Added eprint
  * debian/reference: Deleted in favour of data in debian/upstream
  * debian/watch: adapted to changes at upstream
  * debian/orig-tar.sh: Removed because the removed file is not part
    of the source any more
  * debian/control:
     - debhelper 9
     - remove cdbs from / add python to Build-Depends
     - cme fix dpkg-control
     - canonical Vcs URLs
  * debian/copyright:
     - DEP5
     - Add Upstream-Contact according to latest discussion
     - Update Source to actual download tarball
  * debian/rules:
     - cdbs -> dh
     - Need to rename /usr/bin/join to /usr/bin/seqan-join to avoid
       name clash with coreutils
  * debian/generate_manpages: use help2man to autogenerate manpages
  * debian/README.Debian: Describe what apps go to /usr/bin and why
  * debian/seqan-apps.links: Update apps that should go to /usr/bin
    according to mail from upstream

 -- Andreas Tille <tille@debian.org>  Wed, 27 Nov 2013 10:26:17 +0100
