=== debian/control ===
Source: seqan
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Soeren Sonnenburg <sonne@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               zlib1g-dev,
               libbam-dev,
               libboost-dev,
               dh-exec,
               help2man,
               python
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/seqan/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/seqan/trunk/
Homepage: http://www.seqan.de/

Package: seqan-apps
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for the analysis of biological sequences
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance. This package contains the applications dfi, pair_align,
 micro_razers, seqan_tcoffee, seqcons, razers and tree_recon.

Package: seqan-dev
Architecture: all
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ library for the analysis of biological sequences (development)
 SeqAn is a C++ template library of efficient algorithms and data
 structures for the analysis of sequences with the focus on
 biological data. This library applies a unique generic design that
 guarantees high performance, generality, extensibility, and
 integration with other libraries. SeqAn is easy to use and
 simplifies the development of new software tools with a minimal loss
 of performance.
 .
 This package contains the developer files, documentation and examples.
