=== debian/watch ===
version=3
opts="uversionmangle=s/$/+dfsg/" \
  http://packages.seqan.de/ .*/seqan-src-([.\d]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
